glab(1)

NAME
glab-stack-infer - Add layers to a stack based on a range of commits. (EXPERIMENTAL)

SYNOPSIS
glab stack infer [flags]

DESCRIPTION
Add layers to a stack based on a range of commits. This will append layers to an existing stack, or create a new one if needed.

This feature is an experiment and is not ready for production use. It might be unstable or removed at any time. For more information, see https://docs.gitlab.com/policy/development_stages_support/.

OPTIONS
-n, --name=""
    Name for the new stack (used when creating a stack)

OPTIONS INHERITED FROM PARENT COMMANDS
-h, --help[=false]
    Show help for this command.

-R, --repo=""
    Select another repository. You can use either OWNER/REPO or GROUP/NAMESPACE/REPO. The full URL or Git URL is also accepted.

EXAMPLE
    # Commit range syntax is similar to "git rev-list".
    # The start of the range must be a branch name (not a relative ref like HEAD~5).
    # Infer stack from commits between main and current branch
    glab stack infer main..HEAD
    # Infer stack from commits on a feature branch since it diverged from develop
    glab stack infer develop..HEAD
    # Create a new stack with a specific name
    glab stack infer --name feature-stack main..HEAD

SEE ALSO
glab-stack(1)